Package: org.apache.groovy.groovysh.completion.antlr4

## [Groovy] Interface IdentifierCompleter

-     interface IdentifierCompleter

  Interface for classes that complete identifier tokens within a groovy Statement (Class, variable, keyword, method, ...) Similar to JLine Completer, but adapted for usage in GroovySyntaxCompleter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract boolean` | `complete(List<Token> tokens, List<CharSequence> candidates)` Parameters: `tokens` - List of tokens, non empty, last token is an identifier token, previous token is not a dot

- - ### Method Detail

    - #### abstract boolean complete(List<Token> tokens, List<CharSequence> candidates)

      @return

      Parameters:
        `tokens` - List of tokens, non empty, last token is an identifier token, previous token is not a dot
        candidates